Skip to main content
GET
/
wallets
/
transactions
Retrieve wallet transactions
curl --request GET \
  --url https://api.nuwebgroup.com/v1/wallets/transactions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "walletTransactions",
      "id": 1,
      "attributes": {
        "uuid": "123e4567-e89b-12d3-a456-426614174000",
        "customerId": 1,
        "walletId": 123,
        "typeId": 1,
        "typeSlug": "topup_online",
        "typeName": "Online Top-up",
        "amount": 1000,
        "oldBalance": 500,
        "newBalance": 1500,
        "createdAt": "2021-11-26T11:59:00.000000Z",
        "updatedAt": "2021-11-26T11:59:00.000000Z",
        "confirmedAt": "2021-11-26T11:59:00.000000Z",
        "cancelledAt": null
      },
      "relationships": {
        "wallets": {
          "data": {
            "type": "wallets",
            "id": 123
          }
        }
      }
    }
  ],
  "meta": {
    "total": 100
  },
  "links": {
    "first": "http://api.example.com/v1/wallets/transactions?page=1",
    "last": "http://api.example.com/v1/wallets/transactions?page=5",
    "prev": "http://api.example.com/v1/wallets/transactions?page=2",
    "next": "http://api.example.com/v1/wallets/transactions?page=5",
    "self": "http://api.example.com/v1/wallets/transactions?page=3"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

pending
boolean

Filter by pending status. Set to 1 or true to only show pending transactions.

context
string

Filter by transaction context ID. Can be a single ID or comma-separated list of IDs.

customerId
integer

Filter by customer ID.

orderItemId
integer

Filter by order item ID as the source of the wallet transaction.

walletId
integer

Filter by wallet ID.

include
string

Comma-separated list of relationships to include. Supported: customers, wallets

Response

Successful request to fetch wallet transactions.

data
object[]
included
object[]

An array of included relationship resources.

meta
object